VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Event Counting with 82C54 of DAS-8"
   ClientHeight    =   4650
   ClientLeft      =   2235
   ClientTop       =   1590
   ClientWidth     =   6330
   LinkTopic       =   "Form1"
   ScaleHeight     =   4650
   ScaleWidth      =   6330
   Begin VB.CommandButton cmdRead0 
      Caption         =   "Read Counter 0"
      Height          =   375
      Left            =   480
      TabIndex        =   6
      Top             =   1920
      Width           =   3735
   End
   Begin VB.CommandButton cmdCT0 
      Caption         =   "Setup Counter 0 for Event Counting"
      Height          =   375
      Left            =   480
      TabIndex        =   5
      Top             =   1320
      Width           =   3735
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Read Counter 1"
      Height          =   375
      Left            =   480
      TabIndex        =   3
      Top             =   3480
      Width           =   3735
   End
   Begin VB.CommandButton cmdCT1 
      Caption         =   "Setup Counter 1 for Event Counting"
      Height          =   375
      Left            =   480
      TabIndex        =   2
      Top             =   2880
      Width           =   3735
   End
   Begin VB.TextBox txtBaseAddr 
      Height          =   285
      Left            =   3240
      TabIndex        =   0
      Text            =   "&H300"
      Top             =   720
      Width           =   735
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      BackColor       =   &H000000FF&
      Caption         =   "  KEITHLEY  "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H8000000E&
      Height          =   360
      Left            =   240
      TabIndex        =   8
      Top             =   120
      Width           =   1845
   End
   Begin VB.Line Line1 
      X1              =   360
      X2              =   5040
      Y1              =   2520
      Y2              =   2520
   End
   Begin VB.Label lblCT0 
      BackColor       =   &H8000000E&
      Caption         =   "0"
      Height          =   255
      Left            =   4440
      TabIndex        =   7
      Top             =   1920
      Width           =   855
   End
   Begin VB.Label lblCT1 
      BackColor       =   &H8000000E&
      Caption         =   "0"
      Height          =   255
      Left            =   4440
      TabIndex        =   4
      Top             =   3600
      Width           =   855
   End
   Begin VB.Label Label1 
      BackColor       =   &H8000000E&
      Caption         =   "Base Address (Hex) : "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   1200
      TabIndex        =   1
      Top             =   720
      Width           =   1935
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim base As Integer
' register level control of DAS-8 using the DLPortIO
' driver.  DLPortIO is a free 32bit Port I/O driver.  Download it
' from Keithley web site.  It is not specific to any board, but
' is suitable for any I/O mapped card which are almost all ISA bus cards.
'
' DLPortIO will work in Win9x/NT/2K and even WinXP.
'
' the 82C54 counter/timer chip on the DAS-8 is located at
' offsets from the board's base address:
'
' base + 4 = Counter 0
' base + 5 = Counter 1
' base + 6 = Counter 2
' base + 7 = Control Register
'
' see DAS-8 manual (chapter 5) or 82C54 data sheet for more info
' on how the chip functions and required programming steps.


Private Sub cmdCT0_Click()
base = Val(txtBaseAddr.Text)  ' read in base address of card
DlPortWritePortUchar base + 7, &H30
' preload low and high bytes with full scale
DlPortWritePortUchar base + 4, &HFF  ' low byte
DlPortWritePortUchar base + 4, &HFF  ' high byte
End Sub

Private Sub cmdCT1_Click()
base = Val(txtBaseAddr.Text)
DlPortWritePortUchar base + 7, &H70
' preload low and high bytes with full scale
DlPortWritePortUchar base + 5, &HFF  ' low byte
DlPortWritePortUchar base + 5, &HFF  ' high byte
End Sub

Private Sub cmdRead0_Click()
' first latch the counter's low and high bytes
DlPortWritePortUchar base + 7, 0
Dim lowByte As Long
Dim highByte As Long
Dim Counts As Long
' read low byte
lowByte = DlPortReadPortUchar(base + 4)
'read high byte
highByte = DlPortReadPortUchar(base + 4)
' assemble into 16bit reading
Counts = 65535 - (&HFF * highByte + lowByte)
lblCT0.Caption = Counts

End Sub

Private Sub Command1_Click()
' first latch the counter's low and high bytes
DlPortWritePortUchar base + 7, 0
Dim lowByte As Long
Dim highByte As Long
Dim Count As Long
' read low byte
lowByte = DlPortReadPortUchar(base + 5)
'read high byte
highByte = DlPortReadPortUchar(base + 5)
' assemble into 16bit reading
lblCT1.Caption = 65535 - (&HFF * highByte) - lowByte
'lblCT1.Caption = lowByte
'lblCT1.Caption = highByte
End Sub
